package com.ruoyi.tcZz.mapper;

import java.util.List;
import com.ruoyi.tcZz.domain.TcXtjc;
import org.apache.ibatis.annotations.Param;

/**
 * 系统监测Mapper接口
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
public interface TcXtjcMapper 
{
    /**
     * 查询系统监测
     * 
     * @param id 系统监测主键
     * @return 系统监测
     */
    public TcXtjc selectTcXtjcById(Long id);

    /**
     * 查询系统监测列表
     * 
     * @param tcXtjc 系统监测
     * @return 系统监测集合
     */
    public List<TcXtjc> selectTcXtjcList(TcXtjc tcXtjc);

    /**
     * 新增系统监测
     * 
     * @param tcXtjc 系统监测
     * @return 结果
     */
    public int insertTcXtjc(TcXtjc tcXtjc);

    /**
     * 修改系统监测
     * 
     * @param tcXtjc 系统监测
     * @return 结果
     */
    public int updateTcXtjc(TcXtjc tcXtjc);

    /**
     * 删除系统监测
     * 
     * @param id 系统监测主键
     * @return 结果
     */
    public int deleteTcXtjcById(Long id);

    /**
     * 批量删除系统监测
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcXtjcByIds(Long[] ids);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(@Param("isStatus") Integer isStatus, @Param("ids") List<String> ids);
}
